Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007138 [DCSS] Bug Report minor have not tried 2013-06-02 19:12 2014-05-17 18:42
Reporter WalkerBoh View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007138: Potion of beneficial mutation gives no effect
Description Playing a GrGl of TSO in early Lair. Got a potion of beneficial mutation (2nd of the game), quaffed it and got the message "You feel fantastic!", but no mutation was given. The first potion of bene mut gave me +1 dex, and I was not wearing rMut. I don't know if the potion tried to give me a mutation that gargoyles can't have, or if gargoyles can't be mutated, but I'm reporting it just in case this is a bug.

Save file:
http://crawl.akrasiac.org/saves/WalkerBoh-crawl-git-4786dc52d3-130602-1304.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files png file icon Beneficial Mutation Bug.png [^] (25,207 bytes) 2013-06-02 19:12

- Relationships

-  Notes
(0023020)
brendan (developer)
2013-06-02 21:09

You probably got beak or hooves, which respectively conflict with teeth and talons. I'm in favor of rerolling mutations (in general) when they conflict with permanent mutations.
(0023347)
WalkerBoh (reporter)
2013-06-29 00:59

This ticket can be closed!
(0023350)
mumra (developer)
2013-06-29 04:33

It should at least say "nothing happens" or something if it's possible to get no mutations.
(0023356)
Reaver (developer)
2013-06-30 18:53

In Trunk, if you don't get a mutation you already get the statement "You feel fantastic for a moment." instead of just "You feel fantastic." It's possible this isn't clear enough and the message should be something like "You feel fantastic for a moment, but nothing happens."
(0024631)
MarvinPA (developer)
2013-12-07 17:40

The message for this was changed, as reaver mentions.

- Issue History
Date Modified Username Field Change
2013-06-02 19:12 WalkerBoh New Issue
2013-06-02 19:12 WalkerBoh File Added: Beneficial Mutation Bug.png
2013-06-02 21:09 brendan Note Added: 0023020
2013-06-29 00:59 WalkerBoh Note Added: 0023347
2013-06-29 04:33 mumra Note Added: 0023350
2013-06-30 18:53 Reaver Note Added: 0023356
2013-12-07 17:40 MarvinPA Note Added: 0024631
2013-12-07 17:40 MarvinPA Status new => resolved
2013-12-07 17:40 MarvinPA Fixed in Branch => 0.14 development branch
2013-12-07 17:40 MarvinPA Resolution open => done
2013-12-07 17:40 MarvinPA Assigned To => MarvinPA
2014-05-17 18:42 WalkerBoh Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker